Bug 1304145 - Review Request: kf5-libkexiv2 - A wrapper around Exiv2 library
Review Request: kf5-libkexiv2 - A wrapper around Exiv2 library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mattia Verga
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews digikam-5.0
  Show dependency treegraph
 
Reported: 2016-02-02 20:17 EST by Rex Dieter
Modified: 2016-08-14 12:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-21 11:29:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattia.verga: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2016-02-02 20:17:47 EST
Spec URL: https://rdieter.fedorapeople.org/rpms/kf5/kf5-libkexiv2.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/kf5/kf5-libkexiv2-15.12.1-1.fc23.src.rpm
Description: Libkexiv2 is a wrapper around Exiv2 library to manipulate pictures metadata as EXIF IPTC and XMP.

Fedora Account System Username: rdieter
Comment 1 Upstream Release Monitoring 2016-02-02 20:28:57 EST
rdieter's scratch build of kf5-libkexiv2-15.12.1-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12794627
Comment 2 Mattia Verga 2016-02-07 04:33:42 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== ISSUES found =====
- Package carries tests, so it SHOULD have a %check section with make tests.

This is not a blocker so package is APPROVED.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* BSD (3 clause)", "LGPL (v2 or later)", "GPL (v2
     or later)", "Unknown or generated". 5 files have unknown license.
     Detailed output of licensecheck in
     /home/rpmbuild/1304145-kf5-libkexiv2/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/include/KF5
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
     http://koji.fedoraproject.org/koji/taskinfo?taskID=12794627
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: kf5-libkexiv2-15.12.1-1.fc24.x86_64.rpm
          kf5-libkexiv2-devel-15.12.1-1.fc24.x86_64.rpm
          kf5-libkexiv2-debuginfo-15.12.1-1.fc24.x86_64.rpm
          kf5-libkexiv2-15.12.1-1.fc24.src.rpm
kf5-libkexiv2.x86_64: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
kf5-libkexiv2-devel.x86_64: W: only-non-binary-in-usr-lib
kf5-libkexiv2-devel.x86_64: W: no-documentation
kf5-libkexiv2.src: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
4 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (debuginfo)
-------------------
Checking: kf5-libkexiv2-debuginfo-15.12.1-1.fc24.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: File o directory non esistente
kf5-libkexiv2-devel.x86_64: W: only-non-binary-in-usr-lib
kf5-libkexiv2-devel.x86_64: W: no-documentation
kf5-libkexiv2.x86_64: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
3 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
kf5-libkexiv2-devel (rpmlib, GLIBC filtered):
    kf5-libkexiv2(x86-64)
    libKF5KExiv2.so.15.0.0()(64bit)
    pkgconfig(Qt5Gui)

kf5-libkexiv2 (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    kf5-filesystem
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.6)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libexiv2.so.14()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

kf5-libkexiv2-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
kf5-libkexiv2-devel:
    cmake(KF5KExiv2)
    kf5-libkexiv2-devel
    kf5-libkexiv2-devel(x86-64)

kf5-libkexiv2:
    kf5-libkexiv2
    kf5-libkexiv2(x86-64)
    libKF5KExiv2.so.15.0.0()(64bit)

kf5-libkexiv2-debuginfo:
    kf5-libkexiv2-debuginfo
    kf5-libkexiv2-debuginfo(x86-64)



Source checksums
----------------
http://download.kde.org/stable/applications/15.12.1/src/libkexiv2-15.12.1.tar.xz :
  CHECKSUM(SHA256) this package     : 603d750baf51dbd855c331aa9ba574faa920dabc78ebab85811c47a5ef399ffc
  CHECKSUM(SHA256) upstream package : 603d750baf51dbd855c331aa9ba574faa920dabc78ebab85811c47a5ef399ffc


Generated by fedora-review 0.6.0 (7737a2a) last change: 2015-11-26
Command line :./FedoraReview/try-fedora-review -b 1304145
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Gwyn Ciesla 2016-02-08 09:40:16 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/kf5-libkexiv2
Comment 4 Fedora Update System 2016-02-08 14:26:44 EST
kf5-libkexiv2-15.12.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-093c801771
Comment 5 Fedora Update System 2016-02-09 17:26:57 EST
kf5-libkexiv2-15.12.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-093c801771
Comment 6 Fedora Update System 2016-02-21 11:29:33 EST
kf5-libkexiv2-15.12.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.